package com.jpsoft.shinestar.modules.base.dao;

import java.util.Date;
import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.MeetingTime;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface MeetingTimeDAO {
	int insert(MeetingTime entity);
	int update(MeetingTime entity);
	int exist(String id);
	MeetingTime get(String id);
	int delete(String id);
	List<MeetingTime> list();
	List<MeetingTime> findByMeetingIdAndStatus(String meetingId,String status);
	List<MeetingTime> findByMeetingId(String meetingId);
	List<MeetingTime> search(Map<String, Object> searchParams, List<Sort> sortList);
}